path: /build/build/matrix-dev-ruby-0.4.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/matrix -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/matrix
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/matrix && luet-portage --dir /pkgdir/matrix
    dev-ruby/matrix && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e228f32657f271b10938efe4b312b8e66b1bb62feba9d6714e3019a85628c462
  package:
    name: matrix
    version: 0.4.2
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An implementation of Matrix and Vector classes
    uri:
    - https://github.com/ruby/matrix
    license: '|| ( Ruby BSD-2 )'
    buildtimestamp: 2023-08-25 08:44:43.526924749 +0000 UTC m=+77.776781305
    labels:
      BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/matrix
      kit: ruby-kit
      original.package.name: dev-ruby/matrix
      original.package.slot: "0"
      original.package.version: 0.4.2
    treedir: /build/packages
  package_dir: /pkgdir/matrix
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 912e9da0d18917074d564d6ea364c4575bd142a71c7fe215a9c7f9e7638551d6
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/gems/matrix-0.4.2/bin/console
- usr/lib64/ruby/gems/3.1.0/gems/matrix-0.4.2/bin/setup
- usr/lib64/ruby/gems/3.1.0/gems/matrix-0.4.2/lib/matrix/eigenvalue_decomposition.rb
- usr/lib64/ruby/gems/3.1.0/gems/matrix-0.4.2/lib/matrix/lup_decomposition.rb
- usr/lib64/ruby/gems/3.1.0/gems/matrix-0.4.2/lib/matrix/version.rb
- usr/lib64/ruby/gems/3.1.0/gems/matrix-0.4.2/lib/matrix.rb
- usr/lib64/ruby/gems/3.1.0/specifications/matrix-0.4.2.gemspec
- usr/share/doc/matrix-0.4.2/README.md.bz2
- var/db/pkg/dev-ruby/matrix-0.4.2/BDEPEND
- var/db/pkg/dev-ruby/matrix-0.4.2/BUILD_TIME
- var/db/pkg/dev-ruby/matrix-0.4.2/CATEGORY
- var/db/pkg/dev-ruby/matrix-0.4.2/CBUILD
- var/db/pkg/dev-ruby/matrix-0.4.2/CFLAGS
- var/db/pkg/dev-ruby/matrix-0.4.2/CHOST
- var/db/pkg/dev-ruby/matrix-0.4.2/CONTENTS
- var/db/pkg/dev-ruby/matrix-0.4.2/COUNTER
- var/db/pkg/dev-ruby/matrix-0.4.2/CXXFLAGS
- var/db/pkg/dev-ruby/matrix-0.4.2/DEFINED_PHASES
- var/db/pkg/dev-ruby/matrix-0.4.2/DEPEND
- var/db/pkg/dev-ruby/matrix-0.4.2/DESCRIPTION
- var/db/pkg/dev-ruby/matrix-0.4.2/EAPI
- var/db/pkg/dev-ruby/matrix-0.4.2/FEATURES
- var/db/pkg/dev-ruby/matrix-0.4.2/HOMEPAGE
- var/db/pkg/dev-ruby/matrix-0.4.2/INHERITED
- var/db/pkg/dev-ruby/matrix-0.4.2/IUSE
- var/db/pkg/dev-ruby/matrix-0.4.2/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/matrix-0.4.2/KEYWORDS
- var/db/pkg/dev-ruby/matrix-0.4.2/LDFLAGS
- var/db/pkg/dev-ruby/matrix-0.4.2/LICENSE
- var/db/pkg/dev-ruby/matrix-0.4.2/PF
- var/db/pkg/dev-ruby/matrix-0.4.2/RDEPEND
- var/db/pkg/dev-ruby/matrix-0.4.2/RESTRICT
- var/db/pkg/dev-ruby/matrix-0.4.2/SIZE
- var/db/pkg/dev-ruby/matrix-0.4.2/SLOT
- var/db/pkg/dev-ruby/matrix-0.4.2/USE
- var/db/pkg/dev-ruby/matrix-0.4.2/environment.bz2
- var/db/pkg/dev-ruby/matrix-0.4.2/matrix-0.4.2.ebuild
- var/db/pkg/dev-ruby/matrix-0.4.2/repository
package_cacheimage: ""
runtime:
  name: matrix
  version: 0.4.2
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An implementation of Matrix and Vector classes
  uri:
  - https://github.com/ruby/matrix
  license: '|| ( Ruby BSD-2 )'
  labels:
    BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/matrix
    kit: ruby-kit
    original.package.name: dev-ruby/matrix
    original.package.slot: "0"
    original.package.version: 0.4.2
